*** ./src/backend/commands/variable.c.orig	2011-09-22 23:57:57.000000000 +0200
--- ./src/backend/commands/variable.c	2011-12-06 21:46:03.489229819 +0100
***************
*** 123,128 ****
--- 123,135 ----
  			newDateOrder = DATEORDER_MDY;
  			have_order = true;
  		}
+ 		else if (pg_strcasecmp(tok, "XSD") == 0)
+ 		{
+ 			if (have_style && newDateStyle != USE_XSD_DATES)
+ 				ok = false;		/* conflicting styles */
+ 			newDateStyle = USE_XSD_DATES;
+ 			have_style = true;
+ 		}
  		else if (pg_strcasecmp(tok, "DEFAULT") == 0)
  		{
  			/*
***************
*** 191,196 ****
--- 198,206 ----
  		case USE_GERMAN_DATES:
  			strcpy(result, "German");
  			break;
+ 		case USE_XSD_DATES:
+ 			strcpy(result, "XSD");
+ 			break;
  		default:
  			strcpy(result, "Postgres");
  			break;
